<?php

namespace Litepie\Committee;

use DB;
use Illuminate\Database\Seeder;

class CommitteeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('committees')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'committee.committee.view',
                'name'      => 'View Committee',
            ],
            [
                'slug'      => 'committee.committee.create',
                'name'      => 'Create Committee',
            ],
            [
                'slug'      => 'committee.committee.edit',
                'name'      => 'Update Committee',
            ],
            [
                'slug'      => 'committee.committee.delete',
                'name'      => 'Delete Committee',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/committee/committee',
                'name'        => 'Committee',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/committee/committee',
                'name'        => 'Committee',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'committee',
                'name'        => 'Committee',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Committee',
                'module'    => 'Committee',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'committee.committee.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
