    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#committee" data-toggle="tab">{!! trans('committee::committee.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#committee-committee-edit'  data-load-to='#committee-committee-entry' data-datatable='#committee-committee-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#committee-committee-entry' data-href='{{guard_url('committee/committee')}}/{{$committee->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('committee-committee-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('committee/committee/'. $committee->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="committee">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('committee::committee.name') !!} [{!!$committee->name!!}] </div>
                @include('committee::admin.committee.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>