<?php

namespace Litepie\Committee\Repositories\Eloquent;

use Litepie\Committee\Interfaces\CommitteeRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CommitteeRepository extends BaseRepository implements CommitteeRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepie.committee.committee.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.committee.committee.model.model');
    }
}
